package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SchedulBillE1Factory
{
    private SchedulBillE1Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBillE1 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBillE1)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B22C80E3") ,com.kingdee.eas.custom.gggl.ISchedulBillE1.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ISchedulBillE1 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBillE1)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B22C80E3") ,com.kingdee.eas.custom.gggl.ISchedulBillE1.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBillE1 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBillE1)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B22C80E3"));
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBillE1 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBillE1)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B22C80E3"));
    }
}